# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-02-04 19:34
from __future__ import unicode_literals

import django.db.models.deletion
from django.db import migrations
from django.db import models


class Migration(migrations.Migration):

    dependencies = [
        ('games', '0012_add_achievements'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='game',
            options={
                'ordering': ('-playing', 'name'),
                'verbose_name': 'game',
                'verbose_name_plural': 'games'
            }, ),
        migrations.AlterModelOptions(
            name='platform',
            options={
                'ordering': ('name', ),
                'verbose_name': 'platform',
                'verbose_name_plural': 'platforms'
            }, ),
        migrations.AlterModelOptions(
            name='timeline',
            options={
                'ordering': ('-date', ),
                'verbose_name': 'Timeline',
                'verbose_name_plural': 'Timelines'
            }, ),
        migrations.AlterField(
            model_name='game',
            name='collection',
            field=models.ForeignKey(
                help_text='Game running platform',
                on_delete=django.db.models.deletion.CASCADE,
                related_name='games',
                to='games.Platform',
                verbose_name='platform'), ),
        migrations.AlterField(
            model_name='game',
            name='name',
            field=models.CharField(
                help_text='Game title', max_length=255, verbose_name='name'),
        ),
        migrations.AlterField(
            model_name='game',
            name='note',
            field=models.CharField(
                blank=True,
                help_text='Short note displayed to your followers.',
                max_length=150,
                null=True,
                verbose_name='Progress note'), ),
        migrations.AlterField(
            model_name='game',
            name='playing',
            field=models.BooleanField(
                default=False,
                help_text="You're currently playing this game.",
                verbose_name='playing?'), ),
        migrations.AlterField(
            model_name='game',
            name='status',
            field=models.CharField(
                choices=[('created', 'New'), ('beaten', 'Beaten'),
                         ('completed', 'Completed'), ('excluded', 'Excluded'),
                         ('mastered', 'Mastered'), ('unfinished',
                                                    'Unfinished')],
                default='unfinished',
                help_text='Game progression',
                max_length=30,
                verbose_name='status'), ),
        migrations.AlterField(
            model_name='game',
            name='unplayed',
            field=models.BooleanField(
                default=False,
                help_text='You never played this game.',
                verbose_name='unplayed?'), ),
        migrations.AlterField(
            model_name='game',
            name='wish',
            field=models.BooleanField(
                default=False,
                help_text="You're waiting X-mas father offers you this game.",
                verbose_name='wish?'), ),
        migrations.AlterField(
            model_name='platform',
            name='shortname',
            field=models.CharField(max_length=30, verbose_name='shortname'), ),
        migrations.AlterField(
            model_name='timeline',
            name='item',
            field=models.ForeignKey(
                help_text='Which game?',
                on_delete=django.db.models.deletion.CASCADE,
                to='games.Game',
                verbose_name='game'), ),
        migrations.AlterField(
            model_name='timeline',
            name='status',
            field=models.CharField(
                choices=[('created', 'New'), ('beaten', 'Beaten'),
                         ('completed', 'Completed'), ('excluded', 'Excluded'),
                         ('mastered', 'Mastered'), ('unfinished',
                                                    'Unfinished')],
                default='created',
                help_text='New status for this game at the given date',
                max_length=30,
                verbose_name='status'), ),
    ]
